import request from '@/utils/request'

// 获取仓储列表
export function getList(params) {
  return request({
    url: '/storage/list',
    method: 'get',
    params
  })
}

// 删除仓储
export function deleteStorage(params) {
  return request({
    url: '/storage/delete',
    method: 'post',
    params
  })
}

// 新增仓储
export function addStorage(params) {
  return request({
    url: '/storage/add',
    method: 'post',
    data: params
  })
}

// 编辑仓储
export function editStorage(params) {
  return request({
    url: '/storage/update',
    method: 'post',
    data: params
  })
}

// 获取仓储详情
export function getStorageDetail(params) {
  return request({
    url: '/storage/detail',
    method: 'get',
    params
  })
}
